<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <style type="text/css">
      table { border-collapse:collapse }
      th, td { border: solid 1px #000; padding:10px }
      .heading { background-color: #9a0 }
      .center { text-align:center }
    </style>
  </head>
  <body>
  <h2>All Senators</h2>
    <table>
      <tr class="heading">
        <th>Name</th>
        <th>Party</th>
        <th>State</th>
      </tr>
      <xsl:for-each select="senators/member">
         <xsl:sort select="state"/>
            <tr>
              <td><xsl:value-of select="first_name"/>
                  <xsl:text> </xsl:text>
                  <xsl:value-of select="last_name"/></td>
              <td class="center"><xsl:value-of select="party"/></td>
              <td class="center"><xsl:value-of select="state"/></td>    
            </tr>
      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>